
Conversion Tools - Feature #1696

Feature # 1692 (New): optimize/rewrite common expression idioms

create a variable to replace multiple uses of a string literal

10/23/2012 07:04 PM - Eric Faulhaber

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 8.00 hours

Target version: Converted Code Improvements -

Deduplication

  

billable: No vendor_id: GCD

Description

History

#1 - 10/23/2012 07:04 PM - Eric Faulhaber

- Subject changed from create a variable to replace multiple uses of a constant string to create a variable to replace multiple uses of a string literal

If the same string literal is used in multiple places (in the same scope), implement a String variable and then reference it from those places, to avoid

repeating the literal in code.

#2 - 10/31/2012 03:50 PM - Greg Shah

- Target version set to Code Improvements

#3 - 11/16/2016 12:47 PM - Greg Shah

- Target version changed from Code Improvements to Converted Code Improvements - Deduplication
